PlayApplicationBinarySpec (Gradle API 2.10)
Date: 2015-12-21

org.gradle.play

## Interface PlayApplicationBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableModelElement, Named

      @Incubating
      public interface PlayApplicationBinarySpec
      extends BinarySpec

  Represents a binary artifact that is the result of building a Play application software component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlayApplicationSpec` | `getApplication()`
    `PublicAssets` | `getAssets()` A buildable object representing the public assets that will be included in the assets jar file.
    `File` | `getAssetsJarFile()` The assets jar file produced for this binary.
    `JvmClasses` | `getClasses()` A buildable object representing the class files and resources that will be included in the application jar file.
    `Map<LanguageSourceSet,JavaScriptSourceSet>` | `getGeneratedJavaScript()`
    `Map<LanguageSourceSet,ScalaLanguageSourceSet>` | `getGeneratedScala()`
    `File` | `getJarFile()` The application jar file produced for this binary.
    `PlayPlatform` | `getTargetPlatform()` The PlayPlatform this binary is built for.
    `PlayToolChain` | `getToolChain()`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getDisplayName, getInputs, getSource, getSources, getTasks, isBuildable`

    - ### Methods inherited from interface org.gradle.api.BuildableModelElement

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getApplication

          PlayApplicationSpec getApplication()

    - #### getTargetPlatform

          PlayPlatform getTargetPlatform()

      The PlayPlatform this binary is built for.
      Returns:
        platform for this binary

    - #### getToolChain

          PlayToolChain getToolChain()

    - #### getJarFile

          File getJarFile()

      The application jar file produced for this binary.
      Returns:
        the application jar file

    - #### getAssetsJarFile

          File getAssetsJarFile()

      The assets jar file produced for this binary.
      Returns:
        the assets jar file

    - #### getClasses

          JvmClasses getClasses()

      A buildable object representing the class files and resources that will be included in the application jar file.
      Returns:
        the JvmClasses for this binary

    - #### getAssets

          PublicAssets getAssets()

      A buildable object representing the public assets that will be included in the assets jar file.
      Returns:
        the PublicAssets for this binary

    - #### getGeneratedScala

          Map<LanguageSourceSet,ScalaLanguageSourceSet> getGeneratedScala()

    - #### getGeneratedJavaScript

          Map<LanguageSourceSet,JavaScriptSourceSet> getGeneratedJavaScript()